## DMS List Stored Images request DMS List Stored Images request |

## Functions

QmiMessageDmsListStoredImagesOutput * | qmi_message_dms_list_stored_images_output_ref ()
void | qmi_message_dms_list_stored_images_output_unref ()
gboolean | qmi_message_dms_list_stored_images_output_get_result ()
gboolean | qmi_message_dms_list_stored_images_output_get_list ()
void | qmi_client_dms_list_stored_images ()
QmiMessageDmsListStoredImagesOutput * | qmi_client_dms_list_stored_images_finish ()

## Types and Values

| QmiMessageDmsListStoredImagesOutput
| QmiMessageDmsListStoredImagesOutputListImageSublistSublistElement
| QmiMessageDmsListStoredImagesOutputListImage

## Object Hierarchy

        GBoxed
        ╰── QmiMessageDmsListStoredImagesOutput

## Description

## Functions

### qmi_message_dms_list_stored_images_output_ref ()

    QmiMessageDmsListStoredImagesOutput *
    qmi_message_dms_list_stored_images_output_ref
                                   (QmiMessageDmsListStoredImagesOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsListStoredImagesOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_list_stored_images_output_unref ()

    void
    qmi_message_dms_list_stored_images_output_unref
                                   (QmiMessageDmsListStoredImagesOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsListStoredImagesOutput. |

Since: 1.0

### qmi_message_dms_list_stored_images_output_get_result ()

    gboolean
    qmi_message_dms_list_stored_images_output_get_result
                                   (QmiMessageDmsListStoredImagesOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsListStoredImagesOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_message_dms_list_stored_images_output_get_list ()

    gboolean
    qmi_message_dms_list_stored_images_output_get_list
                                   (QmiMessageDmsListStoredImagesOutput *self,
                                    GArray **value_list,
                                    GError **error);

Get the 'List' field from `self` .

#### Parameters

self | a QmiMessageDmsListStoredImagesOutput. |
value_list | a placeholder for the output GArray of QmiMessageDmsListStoredImagesOutputListImage elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_client_dms_list_stored_images ()

    void
    qmi_client_dms_list_stored_images (QmiClientDms *self,
                                       gpointer unused,
                                       guint timeout,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously sends a List Stored Images request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_list_stored_images_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_dms_list_stored_images_finish ()

    QmiMessageDmsListStoredImagesOutput *
    qmi_client_dms_list_stored_images_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_list_stored_images()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_list_stored_images()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsListStoredImagesOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_list_stored_images_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageDmsListStoredImagesOutput

    typedef struct _QmiMessageDmsListStoredImagesOutput QmiMessageDmsListStoredImagesOutput;

The QmiMessageDmsListStoredImagesOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageDmsListStoredImagesOutputListImageSublistSublistElement

    typedef struct {
        guint8 storage_index;
        guint8 failure_count;
        GArray *unique_id;
        gchar *build_id;
    } QmiMessageDmsListStoredImagesOutputListImageSublistSublistElement;

A QmiMessageDmsListStoredImagesOutputListImageSublistSublistElement struct.

#### Members

guint8 `storage_index`; | a guint8. |
guint8 `failure_count`; | a guint8. |
GArray *`unique_id`; | a GArray of guint8 elements. |
gchar *`build_id`; | a string. |

Since: 1.0

### QmiMessageDmsListStoredImagesOutputListImage

    typedef struct {
        QmiDmsFirmwareImageType type;
        guint8 maximum_images;
        guint8 index_of_running_image;
        GArray *sublist;
    } QmiMessageDmsListStoredImagesOutputListImage;

A QmiMessageDmsListStoredImagesOutputListImage struct.

#### Members

QmiDmsFirmwareImageType `type`; | a QmiDmsFirmwareImageType. |
guint8 `maximum_images`; | a guint8. |
guint8 `index_of_running_image`; | a guint8. |
GArray *`sublist`; | a GArray of QmiMessageDmsListStoredImagesOutputListImageSublistSublistElement elements. |

Since: 1.0